﻿
@model SportsClub.Models.FormModels.AssignFormViewModel

@* This view used to assign form to an event  *@
@Styles.Render("~/Content/chosen.css")
@Scripts.Render("~/Scripts/chosen.jquery.min.js", "~/Scripts/chosen.proto.min.js")

@for (int i = 0; i < Model.Forms.Count; i++)
{
    @Html.HiddenFor(x => x.Forms[i].Id)
    @Html.HiddenFor(x => x.Forms[i].Name)
}

@{
    if (Model.AllForms == null)
    {
        Model.AllForms = new SelectList(Model.Forms, "Id", "Name");
    }
}

<div class="form-group pull-left">
    <div class="form-title">
        <h2>Do you want your participants to submit additional follow-up forms?</h2>
    </div>
    <label>
        Select follow-up forms
        <a href="#" class="name-info" data-container="body" rel="popover" data-placement="top" data-content="we can add custom forms (e,g, forms that require a signiture, scholarships/fanancial aids, permision slips, etc) to this camp, custom forms. The added form will be email participents after registration."></a>
    </label>

    @Html.ListBoxFor(model => model.SelectedForms, Model.AllForms, new { @class = "chosen-select" })

</div>

<script type="text/javascript">
    $(function () {
    });

    function InitialChosen() {
        $(".chosen-select").chosen('destroy');
        $(".chosen-select").chosen({
            no_results_text: "Oops, nothing found!"
        });
    }

    $('.chosen-select').on('change', function (event, params) {
        InitialChosen();
    });

    InitialChosen();

</script>
